Bug 195110 - Flaky API Test TestWebKitAPI.ProcessSwap.LoadUnload
Summary: Flaky API Test TestWebKitAPI.ProcessSwap.LoadUnload
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-02-27 11:04 PST by Aakash Jain
Modified: 2019-03-01 11:40 PST (History)
11 users (show)

See Also:


Attachments
Patch (2.40 KB, patch)
2019-02-28 10:35 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2019-02-27 11:04:15 PST
TestWebKitAPI.ProcessSwap.LoadUnload seems flaky. In https://ews-build.webkit-uat.org/#/builders/19/builds/1299, the test Timedout in run-api-tests step. However, in the immediately next retry step (re-run-api-tests), it passed.

Similarly in http://ews-build.webkit-uat.org/#/builders/19/builds/1291/steps/10/logs/json it Timedout in run-api-tests-without-patch step.
Comment 1 Chris Dumez 2019-02-27 16:15:56 PST
Likely it is not getting the 7 messages it expects.
Comment 2 Chris Dumez 2019-02-27 16:38:51 PST
Yes, we sometimes miss a unload message:
    msg: pson://www.webkit.org/main.html - load
    msg: pson://www.apple.com/main.html - load
    msg: pson://www.webkit.org/main.html - unload
    msg: pson://www.webkit.org/main.html - load
    msg: pson://www.apple.com/main.html - unload
    msg: pson://www.apple.com/main.html - load
Comment 3 Chris Dumez 2019-02-28 10:35:26 PST
Created attachment 363238 [details]
Patch
Comment 4 Chris Dumez 2019-02-28 16:09:05 PST
ping review?
Comment 5 Ryosuke Niwa 2019-03-01 11:07:16 PST
Comment on attachment 363238 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=363238&action=review

> Source/WebKit/ChangeLog:10
> +        usesPageCache preference would not prevent the creation of SuspendedPageProxy objects.

LOL.
Comment 6 WebKit Commit Bot 2019-03-01 11:33:53 PST
Comment on attachment 363238 [details]
Patch

Clearing flags on attachment: 363238

Committed r242277: <https://trac.webkit.org/changeset/242277>
Comment 7 WebKit Commit Bot 2019-03-01 11:33:55 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2019-03-01 11:40:55 PST
<rdar://problem/48517170>